Arduino IDE Crashing on Mac After upgrade to Yosemite

Hello All,

Arduino IDE is crashing on Mac after upgrading to Yosemite.

I was using version 1.0.6.

Any suggestion how to fix it ?

Any body else having similar issue ?

Thanks

Having this same problem. The only error I'm finding is this

10/14/14 12:00:43.632 PM com.apple.xpc.launchd[1]: (cc.arduino.Arduino.111076[6582]) Service exited with abnormal code: 1

It appears that you need to install the "JavaForOSX2014-001" update. I think it installs a v6.0 of Java.

My update OSX to 10.10 Yosemite on my IMAC 27in 2012 late version had issues until I updated JAVA to JDK 8u25 for OSX and installed IDE 1.5.8 for JAVA 7
All is good now loading and working with my UNOs, Megas, Minis, and Nanos, including able to load to my DUE finally

I also cannot get 1.06 to work, but 1.5.8 works fine. I also had to instal the correct driver http://www.ftdichip.com/Drivers/VCP.htm Which you have already done.

1.0.6 does not appear to work at all now.

This worked for me. Installing legacy Java 6 found here. http://support.apple.com/kb/DL1572

The answer I found from here. http://forum.arduino.cc/index.php?topic=273175.0

My Uno was not working with yosemite.Downloaded this and problem solved.

http://www.wch.cn/downloads.php?name=pro&proid=178

Here is the instalation file from Apple for old version of Java

http://support.apple.com/kb/DL1572?viewlocale=en_US&locale=en_US